List available webhook event types
GET/v3/webhook-events
Returns all available webhook event types that can be subscribed to. The example below shows only the voice events.
Use this endpoint to discover valid values for the subscribed_events
field when creating or updating webhook subscriptions.
List available webhook event types
curl https://api.linqapp.com/api/partner/v3/webhook-events \
-H "Authorization: Bearer $LINQ_API_V3_API_KEY"{
"events": [
"call_voice.initiated",
"call_voice.ringing",
"call_voice.answered",
"call_voice.ended",
"call_voice.failed",
"call_voice.declined",
"call_voice.no_answer"
],
"doc_url": "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"
}{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}Returns Examples
{
"events": [
"call_voice.initiated",
"call_voice.ringing",
"call_voice.answered",
"call_voice.ended",
"call_voice.failed",
"call_voice.declined",
"call_voice.no_answer"
],
"doc_url": "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"
}{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}